Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Interface Constants

All Superinterfaces:
  Constants

All Known Subinterfaces:
  Constants

public interface Constants
extends Constants

Some Constants for the server package

Since:
  28. September 2001
Version:
  $Revision: 1.18 $
Author:
  Christoph G. Jung

Field Summary
`static String` | `ABOUT_TO_CREATE_AXIS_0`
`static String` | `ABOUT_TO_DEPLOY_0_UNDER_CONTEXT_1`
`static String` | `ABOUT_TO_DESTROY_AXIS_0`
`static String` | `ABOUT_TO_START_AXIS_0`
`static String` | `ABOUT_TO_STOP_AXIS_0`
`static String` | `ABOUT_TO_UNDEPLOY_0`
`static String` | `ACTION_HANDLER_PRESENT_PROPERTY` property key behind which an action handler can mask its presence in the transport chain to influence wsdl generation
`static String` | `ALLOWED_ROLES_OPTION` constants referring to options in the axis messagecontext or handler options
`static String` | `AXIS_ALREADY_STARTED`
`static String` | `AXIS_ALREADY_STOPPED`
`static String` | `AXIS_CLIENT_CONFIGURATION_FILE`
`static String` | `AXIS_DEPLOY_DIR`
`static String` | `AXIS_DEPLOYMENT_DESCRIPTOR`
`static String` | `AXIS_DEPLOYMENT_DESCRIPTOR_NOT_FOUND` message id constants are english raw messages at the same time
`static String` | `AXIS_ENGINE_ATTRIBUTE`
`static String` | `AXIS_SERVER_CONFIGURATION_FILE`
`static String` | `AXIS_SERVER_CONTEXT_OCCUPIED`
`static String` | `CANNOT_CHANGE_ROOT_CONTEXT`
`static String` | `CANNOT_FIND_WEB_DEPLOYER`
`static String` | `COULD_NOT_COPY_URL`
`static String` | `COULD_NOT_DEPLOY`
`static String` | `COULD_NOT_DEPLOY_DESCRIPTOR`
`static String` | `COULD_NOT_FIND_AXIS_CONFIGURATION_0`
`static String` | `COULD_NOT_STOP_AXIS`
`static String` | `COULD_NOT_UNDEPLOY`
`static String` | `DEFAULT_ROOT_CONTEXT`
`static String` | `DENIED_ROLES_OPTION`
`static String` | `DOMAIN` programmatic constants
`static String` | `EJB_REF_MUST_HAVE_UNIQUE_LINK`
`static String` | `EJB_REF_MUST_HAVE_UNIQUE_NAME`
`static String` | `ERR_EXISTING_HEADER`
`static String` | `ERR_MISSING_PARM`
`static String` | `GET_AXIS_SERVER_METHOD_NAME`
`static String` | `JBOSS_WEB_DEPLOYMENT_DESCRIPTOR`
`static String` | `NAME`
`static String` | `NO_VALID_WEB_SERVICE_DESCRIPTOR`
`static String` | `SECURITY_DOMAIN_OPTION`
`static String` | `SERVER_DELEGATE_NAME`
`static String` | `SERVER_ID_ATTRIBUTE`
`static String` | `SET_ROOT_CONTEXT_0`
`static String` | `SET_SECURITY_DOMAIN_TO_0`
`static String` | `SET_WAR_DEPLOYER_0`
`static String` | `TRANSACTION_PROPERTY`
`static String` | `TYPE`
`static String` | `USER_TRANSACTION_JNDI_NAME`
`static String` | `VALIDATE_UNAUTHENTICATED_CALLS_OPTION`
`static String` | `WEB_DEPLOYMENT_DESCRIPTOR`
`static String` | `WEB_SERVICE_DESCRIPTOR`
`static String` | `WSR_FILE_EXTENSION`
`static String` | `XML_FILE_EXTENSION`

Fields inherited from interface org.jboss.net.Constants
`CREATE_METHOD_NAME, DEPLOYMENT_INFO_CLASS_NAME, DESTROY_METHOD_NAME, INIT_METHOD_NAME, START_METHOD_NAME, STOP_METHOD_NAME, STRING_CLASS_NAME`

Field Detail

### DOMAIN

    public static final String DOMAIN

  programmatic constants

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### SERVER_DELEGATE_NAME

    public static final String SERVER_DELEGATE_NAME

See Also:
  Constant Field Values

### SERVER_ID_ATTRIBUTE

    public static final String SERVER_ID_ATTRIBUTE

See Also:
  Constant Field Values

### AXIS_DEPLOYMENT_DESCRIPTOR

    public static final String AXIS_DEPLOYMENT_DESCRIPTOR

See Also:
  Constant Field Values

### AXIS_DEPLOY_DIR

    public static final String AXIS_DEPLOY_DIR

See Also:
  Constant Field Values

### WEB_DEPLOYMENT_DESCRIPTOR

    public static final String WEB_DEPLOYMENT_DESCRIPTOR

See Also:
  Constant Field Values

### JBOSS_WEB_DEPLOYMENT_DESCRIPTOR

    public static final String JBOSS_WEB_DEPLOYMENT_DESCRIPTOR

See Also:
  Constant Field Values

### DEFAULT_ROOT_CONTEXT

    public static final String DEFAULT_ROOT_CONTEXT

See Also:
  Constant Field Values

### WSR_FILE_EXTENSION

    public static final String WSR_FILE_EXTENSION

See Also:
  Constant Field Values

### XML_FILE_EXTENSION

    public static final String XML_FILE_EXTENSION

See Also:
  Constant Field Values

### AXIS_ENGINE_ATTRIBUTE

    public static final String AXIS_ENGINE_ATTRIBUTE

See Also:
  Constant Field Values

### GET_AXIS_SERVER_METHOD_NAME

    public static final String GET_AXIS_SERVER_METHOD_NAME

See Also:
  Constant Field Values

### AXIS_SERVER_CONFIGURATION_FILE

    public static final String AXIS_SERVER_CONFIGURATION_FILE

See Also:
  Constant Field Values

### AXIS_CLIENT_CONFIGURATION_FILE

    public static final String AXIS_CLIENT_CONFIGURATION_FILE

See Also:
  Constant Field Values

### WEB_SERVICE_DESCRIPTOR

    public static final String WEB_SERVICE_DESCRIPTOR

See Also:
  Constant Field Values

### USER_TRANSACTION_JNDI_NAME

    public static final String USER_TRANSACTION_JNDI_NAME

See Also:
  Constant Field Values

### ALLOWED_ROLES_OPTION

    public static final String ALLOWED_ROLES_OPTION

  constants referring to options in the axis messagecontext or handler options

  See Also:
    Constant Field Values

### DENIED_ROLES_OPTION

    public static final String DENIED_ROLES_OPTION

See Also:
  Constant Field Values

### SECURITY_DOMAIN_OPTION

    public static final String SECURITY_DOMAIN_OPTION

See Also:
  Constant Field Values

### VALIDATE_UNAUTHENTICATED_CALLS_OPTION

    public static final String VALIDATE_UNAUTHENTICATED_CALLS_OPTION

See Also:
  Constant Field Values

### TRANSACTION_PROPERTY

    public static final String TRANSACTION_PROPERTY

See Also:
  Constant Field Values

### AXIS_DEPLOYMENT_DESCRIPTOR_NOT_FOUND

    public static final String AXIS_DEPLOYMENT_DESCRIPTOR_NOT_FOUND

  message id constants are english raw messages at the same time

  See Also:
    Constant Field Values

### ABOUT_TO_DEPLOY_0_UNDER_CONTEXT_1

    public static final String ABOUT_TO_DEPLOY_0_UNDER_CONTEXT_1

See Also:
  Constant Field Values

### AXIS_ALREADY_STARTED

    public static final String AXIS_ALREADY_STARTED

See Also:
  Constant Field Values

### ABOUT_TO_UNDEPLOY_0

    public static final String ABOUT_TO_UNDEPLOY_0

See Also:
  Constant Field Values

### COULD_NOT_STOP_AXIS

    public static final String COULD_NOT_STOP_AXIS

See Also:
  Constant Field Values

### AXIS_ALREADY_STOPPED

    public static final String AXIS_ALREADY_STOPPED

See Also:
  Constant Field Values

### SET_WAR_DEPLOYER_0

    public static final String SET_WAR_DEPLOYER_0

See Also:
  Constant Field Values

### SET_ROOT_CONTEXT_0

    public static final String SET_ROOT_CONTEXT_0

See Also:
  Constant Field Values

### SET_SECURITY_DOMAIN_TO_0

    public static final String SET_SECURITY_DOMAIN_TO_0

See Also:
  Constant Field Values

### ABOUT_TO_CREATE_AXIS_0

    public static final String ABOUT_TO_CREATE_AXIS_0

See Also:
  Constant Field Values

### ABOUT_TO_START_AXIS_0

    public static final String ABOUT_TO_START_AXIS_0

See Also:
  Constant Field Values

### ABOUT_TO_STOP_AXIS_0

    public static final String ABOUT_TO_STOP_AXIS_0

See Also:
  Constant Field Values

### ABOUT_TO_DESTROY_AXIS_0

    public static final String ABOUT_TO_DESTROY_AXIS_0

See Also:
  Constant Field Values

### COULD_NOT_DEPLOY_DESCRIPTOR

    public static final String COULD_NOT_DEPLOY_DESCRIPTOR

See Also:
  Constant Field Values

### COULD_NOT_FIND_AXIS_CONFIGURATION_0

    public static final String COULD_NOT_FIND_AXIS_CONFIGURATION_0

See Also:
  Constant Field Values

### NO_VALID_WEB_SERVICE_DESCRIPTOR

    public static final String NO_VALID_WEB_SERVICE_DESCRIPTOR

See Also:
  Constant Field Values

### COULD_NOT_DEPLOY

    public static final String COULD_NOT_DEPLOY

See Also:
  Constant Field Values

### COULD_NOT_UNDEPLOY

    public static final String COULD_NOT_UNDEPLOY

See Also:
  Constant Field Values

### COULD_NOT_COPY_URL

    public static final String COULD_NOT_COPY_URL

See Also:
  Constant Field Values

### CANNOT_CHANGE_ROOT_CONTEXT

    public static final String CANNOT_CHANGE_ROOT_CONTEXT

See Also:
  Constant Field Values

### AXIS_SERVER_CONTEXT_OCCUPIED

    public static final String AXIS_SERVER_CONTEXT_OCCUPIED

See Also:
  Constant Field Values

### EJB_REF_MUST_HAVE_UNIQUE_NAME

    public static final String EJB_REF_MUST_HAVE_UNIQUE_NAME

See Also:
  Constant Field Values

### EJB_REF_MUST_HAVE_UNIQUE_LINK

    public static final String EJB_REF_MUST_HAVE_UNIQUE_LINK

See Also:
  Constant Field Values

### CANNOT_FIND_WEB_DEPLOYER

    public static final String CANNOT_FIND_WEB_DEPLOYER

See Also:
  Constant Field Values

### ERR_EXISTING_HEADER

    public static final String ERR_EXISTING_HEADER

See Also:
  Constant Field Values

### ERR_MISSING_PARM

    public static final String ERR_MISSING_PARM

See Also:
  Constant Field Values

### ACTION_HANDLER_PRESENT_PROPERTY

    public static final String ACTION_HANDLER_PRESENT_PROPERTY

  property key behind which an action handler can mask its presence in the transport chain to influence wsdl generation

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.